Bug 70571 - Other: Click/Ctrl+Click on Item of Table of Contents Crashes LibreOffice if Cursor in Protected Areas is Disabled
Summary: Other: Click/Ctrl+Click on Item of Table of Contents Crashes LibreOffice if C...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.1.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.2.0 target:4.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-17 10:18 UTC by Harald Koester
Modified: 2014-06-17 09:44 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2013-10-17 10:18:08 UTC
Problem description: 

Steps to reproduce:
[1] Create a short text document with at least one heading.
[2] Create a table of contents.
[3] Enable option “LibreOffice > Security > Security Options and warnings > Options... > Security options > Crtl-click required to follow hyperlinks”.
[4] Disable option “LibreOffice Writer > Formatting Aids > Cursor in protected areas”
[5] Move cursor over an item of the table of contents. A tip is displayed: “Ctrl-click to open hyperlink: ...”. This message is wrong. It is not a hyperlink, it is a link inside the document. But this is not the real problem...
[6] Ctrl+click on item of table of content. Crash: “Due to an expected...”. No data loss in my tries, recovery works as expected.

If you disable the option “... > Ctrl-click required to follow hyperlinks” in step [2], then in step [4] only the heading name is displayed. Better would be: “Click in order to go to heading 'heading name'” or similar. In this case a click on an item of the table also crashes LibreOffice.

Other checked versions:
(1) In version 3.6.7 Click/Ctrl-Click also does not work. Nothing happens if you click an item, but there is at least no crash. 
(2) LibreOffice 4.0.0.(release) also crashes and recovery does not work.
(3) LibreOffice 4.0.4.(release) also crashes, recovery works as expected.
(4) LibreOffice 4.1.2.(release) also crashes, recovery works as expected.
              
Operating System: Windows 7
Version: 4.1.1.2 release
Comment 1 Caolán McNamara 2013-10-24 09:01:52 UTC
Appears to be taking the position of the cursor on the click, which has leapt to before the TOC in this case, and there is no field under the cursor anymore. Confirmed.
Comment 2 Commit Notification 2013-10-24 09:50:19 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9ce405103036b2fa0ae26d331a6cfc3465de10b

Resolves: fdo#70571 don't crash when clicking link in toc



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-10-24 09:50:36 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3167bd7d33fbc1e93f0728ab06b6d67fc1956bd

Related: fdo#70571 say [ctrl+]click to follow link



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-10-24 11:28:50 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=124acbb11539f66aefb7d39fc61c7d99fb9409e7

Related: fdo#70571 allowing clicking on a hyperlink in a protected section



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-10-29 12:39:05 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46d4789bdf14208d927d58e7a871cb14c8c7f917&h=libreoffice-4-1

Resolves: fdo#70571 don't crash when clicking link in toc


It will be available in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Harald Koester 2014-06-17 09:44:48 UTC
Verified with version 4.2.3.3. Function now works as expected. Hence status set to CLOSED.